#include <iostream>
#include <cmath>
#include <limits>
using namespace std;
const long long MOD=pow(10,9)+7;

long long izracunaj(int x[],int y[],int k,int xo,int yo)
{
    long long suma=0;
    for(int i=0;i<k;i++)
    {
        suma+=(abs(x[i]-xo)*abs(y[i]-yo))%MOD;
    }
    return suma;
}



int main()
{
    int n,xO,yO,bacanje,maksBacanje=numeric_limits<int>::min();
    cin>>n;
    int x[n],y[n];
    for(int k=0;k<n;k++)
    {
        cin>>x[k]>>y[k];
        for(int i=0;i<k+1;i++)
        {
            xO=x[i];
            for(int j=0;j<k+1;j++)
            {
                yO=y[j];
                bacanje=izracunaj(x,y,k+1,xO,yO);
                if(bacanje>maksBacanje)
                    maksBacanje=bacanje;

            }

        }
        cout<<maksBacanje<<endl;
    }


}